body {
    font-family: 'Inter', sans-serif;
    color: black;
    background-color: #00a6f7;
}


.sidebar-nav {
    background-color: #14233c;
}


.sidebar-nav-button {
    background-color: #00a6f7;
    transition: background-color 0.3s;
}

.sidebar-nav-button :hover {
    background-color: #CCE9FD;
}


.uppercards {
    background-color: #14233c;
}



.card {
    transition: transform 0.2s;
}

.card:hover {
    transform: translateY(-5px);
}

.CodeMirror, #live-preview {
    min-height: 400px;
    border: 1px solid var(--secondary);
}

button {
    background-color: var(--primary);
    color: white;
    padding: 0.75rem 1.5rem;
    border-radius: 0.375rem;
    transition: background-color 0.3s;
}

button:hover {
    background-color: #4338ca;
}

.spinner-border {
    display: inline-block;
    width: 1rem;
    height: 1rem;
    vertical-align: text-bottom;
    border: 0.25em solid currentColor;
    border-right-color: transparent;
    border-radius: 50%;
    animation: spinner-border 0.75s linear infinite;
}

@keyframes spinner-border {
    to { transform: rotate(360deg); }
}

@media (max-width: 768px) {
    .flex.h-screen {
        flex-direction: column;
    }
    .bg-indigo-800 {
        width: 100%;
        height: auto;
    }
    .flex-1 {
        padding: 1rem;
    }
}